Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/ACE.cpp File Reference

`#include "ace/ACE.h"`
`#include "ace/Basic_Types.h"`
`#include "ace/Handle_Set.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ace/SString.h"`
`#include "ace/Version.h"`
`#include "ace/Message_Block.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/OS_NS_sys_select.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_strings.h"`
`#include "ace/OS_NS_signal.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/OS_NS_sys_resource.h"`
`#include "ace/OS_NS_sys_wait.h"`
`#include "ace/OS_NS_sys_time.h"`
`#include "ace/OS_NS_time.h"`
`#include "ace/OS_NS_sys_uio.h"`
`#include "ace/OS_NS_sys_stat.h"`
`#include "ace/OS_NS_ctype.h"`
`#include "ace/OS_TLI.h"`

Include dependency graph for ACE.cpp:

## Defines
#define | COMPUTE(var, ch) (var) = ((var) << 8) ^ ACE::crc_table_[(((var) >> 24) ^ (ch))&0xff]
## Functions
const char * | get_rcsid_ace_ACE (const char *)
## Variables
const char * | rcsid_ace_ACE = get_rcsid_ace_ACE ( rcsid_ace_ACE )

## Define Documentation

#define COMPUTE | ( | var,
|  | ch |  | ) | (var) = ((var) << 8) ^ ACE::crc_table_[(((var) >> 24) ^ (ch))&0xff]

## Function Documentation

const char* get_rcsid_ace_ACE | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_ace_ACE = get_rcsid_ace_ACE ( rcsid_ace_ACE )`[static]`